Koozali.org formerly Contribs.org

Avahi sur SME

Offline STRyk

  • ****
  • 190
Re: Avahi sur SME
« Reply #15 on: August 03, 2021, 11:53:43 PM »
Nous n'avancerons pas car demain il y aura encore autre chose et encore demain.

C'est incohérent de lâcher les "anciens" car la réalité c'est qu'ils existent encore.

J'efface Koozali 10.
Merci tout de même.

Offline STRyk

  • ****
  • 190
Re: Avahi sur SME
« Reply #16 on: September 08, 2021, 03:08:37 AM »
1 fonctionne bien sur un RAID (qui est un protocol de redondance de disque) ne veut rien dire, avahi est un service de resolution de nom….
Je viens seulement de comprendre que tu n'a pas compris mon texte car je parlais de "Linux unRAID" : https://unraid.net/
 :D
J'aimerai bien comprendre comment faire fonctionner Avahi sur SME 9.2 pour les anciennes machines.
Mais je passe des heures et je tourne en rond. Je ne vois toujours pas pourquoi ca ne marche pas alors que sur unRAID c'est très bien implanté et fonctionne simplement.

Offline ReetP

  • *
  • 3,114
Re: Avahi sur SME
« Reply #17 on: September 08, 2021, 12:05:57 PM »
Quote
I would like to understand how to make Avahi work on SME 9.2 for old machines.
But I spend hours and go around in circles.

Yup - and wasting your time on an unsupported operating system to cater for an ancient unsupported machine with an unsupported OS. No one here is going to help you with it for reasons we have already explained. Please stop asking or the topic will be locked.

Quote
I still don't see why it doesn't work when on unRAID it is very well established and just works.

Because Unraid is a "paid" system and has full time developers who have decided to implement it.

We are part time, not paid, and none of us have any use for Avahi on v10 and therefore no inclination to implement it. We have more urgent things to do. Personally I am still working on Affa, PHPKi, Ipsec VPN and some other stuff because I need them myself, and others need them too.

You have a few options.

Do it yourself on v9. You are on your own. Don't ask any more questions about it please.
Do it yourself on v10 as a contribution. You may get some assistance with your code, but no one is going to write it for you.
Pay someone else to write it for you.
Open a New Feature Request and if anyone here ever has any time or inclination they may one day look at it in the future. but it is unlikely.

For a starter on v10 you can read this:

https://www.poftut.com/linux-avahi-daemon-tutorial-examples/

You would probably need these from 'base' repo' at a minimum:

avahi
avahi-tools

You then need to work how to:

Create a Koozali config entry including status, TCP/UDP port access etc e.g. stuff like this, though it needs more:

Code: [Select]
config set avahi-daemon service status enabled TCPPort 5353 UDPPort 5353 access public
signal-event remoteaccess-update
systemctl restart avahi-daemon.service
systemctl status -l avahi-daemon.socket avahi-daemon.service

(restart gets basic Avahi about up and running - I could see the server for a while in Finder on this Mac but it has gone again as it was a swift hack. Beyond that, good luck)

Create a new Koozali systemd service to run the service properly - see wiki - it needs modifying from the web page above
Understand what needs to go in the configuration files
Template your configuration files
How to automatically populate the configuration files when the system is updated so it works with other Koozali services - they have to work together or things like DNS will break.
Create config files to advertise services. Work out how to get file shares working with something like afp to support ancient unsupported bricks.

You need to read some of these and realise you will also need netatalk/afp for older machines as modern ones use SMB2+ and that makes this all irrelevant for modern machinery. You will probably have to build your own RPMS for that.

https://wiki.centos.org/TipsAndTricks/UsingNetatalk

https://jsherz.com/avahi/service/mdns/cifs/smb/afp/media-server/2015/11/16/avahi-file-share-discovery.html

https://kremalicious.com/ubuntu-as-mac-file-server-and-time-machine-volume

Quote
This article is very old and has been rendered obsolete for OS X 10.9 Mavericks and above. Apple uses v2 of the Samba protocol, dubbed SMB2 for file sharing by default now, which includes many technical advantages over AFP. On Ubuntu, the Samba package can be easily installed and configured to provide connectivity between Ubuntu und Mac OS X out of the box.

You should follow the steps in the following article only if you want to setup a Mac with an OS X version below 10.9. or you are absolutely sure you want to use AFP for file sharing.

So you will then need to work out how to advertise and allow secure access to the file shares. This is absolutely a non trivial, time consuming, and therefore expensive set of tasks.

I am one of the only devs here with a Mac, and I have zero experience or interest in Avahi/Netatalk..... I can use SMB and that is all that is required for me to work.

I've given you as much help and time as I can afford. This is a really complicated subject, hence you are struggling, and it will be cheaper and easier to just go buy a newer machine. But the beauty of open source is that the choice is yours.

Finally, please don't ask about v9.x again. If you have specific code or technical queries on v10 that are not answered in the wiki then please ask.

Good luck with your endeavours.

...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline Jean-Philippe Pialasse

  • *
  • 1,988
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Avahi sur SME
« Reply #18 on: September 08, 2021, 01:53:53 PM »
dire cela fonctionne sur une distribution basée sur slackware sans plus d’info sur la version n’est pas tres pertinent.
C’est comme dire que le nouveau Flight Simulator ne marche pas sur MacOs 11 alors qu’il marche sur windows.

Encore une fois nous ne pouvons que t’inviter à comprendre le protocol plutôt que d’installer au hasard et espérer que cela marche.

entre autre tu as besoin de comprendre comment marche un réseau, à quoi sert un firewall, et comment le configurer pour des besoins spécifiques.

https://stackoverflow.com/questions/20986671/could-i-use-avahi-to-publish-service-across-subnetworks

Offline STRyk

  • ****
  • 190
Re: Avahi sur SME
« Reply #19 on: Yesterday at 02:39:36 AM »
Ne prenez pas tout au pied de la lettre, je compare simplement avec ce qui marche autre part.
unRAID c'est un linux comme tout les autres. Pour Avahi, il y a des tas de tuto qui marche (sans doute) mais avec certaines version sur certains linux dans certaines conditions.
Donc on est obligé de "bidouiller", personne n'a un bac +12 en informatique, sinon les forums n'existeraient pas.
J'en profite encore une fois pour remercier ceux qui prennent du temps pour les gueux.

En tout cas, je compare avec d'autres OS car Avahi fonctionne sur d'autres linux et c'est dommage que SME n'ai pas Avahi car c'est très léger et aide bien pour les Mac.
depuis le passage à SME 10 je glisse tout doucement sur unRAID en utilisant SME 9.2.0 en VM pour ce que j'ai pu monter depuis toutes ces années.
Dans peu de temps il ne sera plus en VM. Dommage.

Je me suis fait rembarré car je n'étais pas présent lors des beta de SME10... Bon, ok mais je n'ai pas les compétences ni le temps et je ne joue pas à peter plus haut que j'ai les fesses, je connais mes limites.
Donc du coups ca ne me motive plus du tout à rester sur SME. C'est bien dommage mais de toute façon j'ai l'impression que ca meurt tout seul.
C'est bien dommage...

Offline ReetP

  • *
  • 3,114
Re: Avahi sur SME
« Reply #20 on: Yesterday at 10:51:59 AM »
OK, so you have been told this before.

First you wanted to install this on v9 (but you didn't tell us that despite there being warnings in the forums abitu no support for v9 apart from upgrade issues). We are not going to help you add software to an unsupported operating system in an attempt to support an unsupported Mac OS.

On top of which we are not going to try and install it on v10 because it will be a large amount of work for which we do not have time or inclination as none of us have your hardware to test, and none of have any need because v10 supports all modern Macs including this Macbook Pro M1 that I am using to type this.

So yes, if you feel inclined then try and make it work - I spent some considerable amount of my time outlining some steps above for you. This is open source. The rest is up to you.

If you think that you can install Avahi on v10 with a few 'tweaks'  go right ahead and show us. We'll happily accept your contribution.

Note that unRaid has professional paid devs and the luxury to do what ever they want. This NOT a trivial exercise.

There is a price for their time and expertise..... Has your trial expired?

https://unraid.net/pricing

Quote
I got rebuffed because I was not present during the SME10 beta ... 

No - you have not been rebuffed because you weren't using the beta (though your continual complaining that 'others' haven't fixed your issues are tedious). You have been told it is because we are not going to to help you install software on an unsupported OS FOR an unsupported OS, and none of us have any interest in doing it on v10. If you want it, do it yourself. Or pay someone to do it for you. The fact that you couldn't be bothered to help with v10 is just icing on the cake.

Like your other comment in the forums just now about systemd being hard to learn. It's ugly but not impossible. But it has been around for years. Is it our fault if you haven't bothered to try and learn about it? Youhave had plenty of time, the same as you have had with v10.

Note. We build Koozali SME because we want to, not because we have to. If you want something to happen then do what we did and stop moaning and start learning. No one here owes you anything.The code is open source for you to take and do whatever you like with it. That license does not include any obligation on our part to do anything at all.

Quote
Well, ok but I don't have the skills or the time and I don't play fart higher than my butt, I know my limits.

You don't have the skills. Is that suddenly our problem? Your continual rudeness because we won't drop everything and fix your issues does nothing but alienate us.

What makes you think that WE have time? What makes you think that we have the skills or knowledge to do this? Personally I have no clue about Avahi and I am not sure any of the others contributors here do. I did some research to try and help you and posted that above, but that still isn't enough to stop you complaining.

You have been told that our free time is dictated by our jobs, our wives, our children, friends and family. It is also directed to help people who have more sense, and more manners, which you seem to be sadly lacking.

You have also been told that if you carry on this topic will be locked. So it is.

Please think long and hard about how you speak to the very people you want to help you, bearing in mind that they are unpaid and do this in their spare time.

If you are going to be rude anywhere else in the forums your account will be moderated.

Thank you.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation